(* Localfifo --  Deliver non totaly ordered application multicast *)
(* Georges Brun-Cottan, jan 1999 *) 
(* Based on LOCAL.ML code : Mark Hayden, 6/95 *)
(**************************************************************)
open Layer
open View
open Event
open Util
(**************************************************************)
let name = Trace.filel "Localfifo"
let failwith s = failwith (Util.failmsg name s)
(**************************************************************)

let init _ (ls,vs) = ()

let hdlrs () (ls,vs) {up_out=up;upnm_out=upnm;dn_out=dn;dnlm_out=dnlm;dnnm_out=dnnm} =
  let bouncing = ref false in 
  let trace ev = 
    if !bouncing then 
      eprintf "{%s}" (string_of_type (getType ev))
  in 
  
  let up_hdlr ev abv () = 
    trace ev;
    up ev abv

  and uplm_hdlr ev hdr = failwith "uplm_hdlr"

  and upnm_hdlr ev = 
    trace ev;
    upnm ev

  and dn_hdlr ev abv = match (getType ev, getApplMsg ev, getNoTotal ev) with
  | (ECast,true,true) -> 
      bouncing := true;
      dn ev abv () ;
      up (castPeerIov name ls.rank (getIov ev)) abv;
	
      (*
	(let bounce_ev = (set name (copy name ev) [Peer ls.rank]) in 
	up bounce_ev abv);
	*)
      bouncing := false;
	
  | _ -> dn ev abv ()

  and dnnm_hdlr = dnnm

in {up_in=up_hdlr;uplm_in=uplm_hdlr;upnm_in=upnm_hdlr;dn_in=dn_hdlr;dnnm_in=dnnm_hdlr}

let l args vf = Layer.hdr init hdlrs None (FullNoHdr ()) args vf

let _ =   Elink.layer_install name l

(**************************************************************)
