#!/bin/sh

set -x
program="./bench-stall.skt -modes "TCP:UDP" -noqueue"
commonargs="-multiread -init 100000 -consumer -sequencer lachesis.inria.fr"

# Divergence Benches
oprates="5 10"
threshold="10 20 40 80 160"
for rate in $oprates; do
  for t in $threshold; do 
      logname="l-${t}-${rate}-2-nq"
      rm -rf $logname
      mkdir $logname
      if [ `hostname` = "atropos" ]; then
	$program $commonargs -oprate $rate -epsilon 1000 -threshold $t -n 3 -bench_id $logname/ -id $logname -nbop 0 -exec 10000  2>&1 | tee $logname/trace
      else
	$program $commonargs -oprate $rate -epsilon 1000 -threshold $t -n 3 -bench_id $logname/ -id $logname  -nbop 5000 -exec 10000 2>&1 | tee $logname/trace
      fi
  done
done


