#!/bin/sh

set -x
program="./bench-stall.skt -noqueue"
commonargs="-multiread -init 100000 -consumer -sequencer tif.inria.fr"

# # Sequencer Benches
oprates="100 120 140"
for rate in $oprates; do
  logname="l-0-${rate}-2-nq"
  rm -rf $logname
  mkdir $logname
  if [ `hostname` = "tif.inria.fr" ]; then  
    $program $commonargs -oprate $rate -epsilon 0 -n 3 -bench_id $logname/ -id $logname -nbop 0 -exec 10000 2>&1 | tee $logname/trace
  else
    $program $commonargs -oprate $rate -epsilon 0 -n 3 -bench_id $logname/ -id $logname  -nbop 5000 -exec 10000 2>&1 | tee $logname/trace
  fi
done

# Divergence Benches
oprates="5 10 20 40 60 80 100 120 140"
threshold="1 2 3 4 5 10 20 40 80 160"
for rate in $oprates; do
  for t in $threshold; do 
    if expr $rate \* $t '>=' 100 > /dev/null; then
      logname="l-${t}-${rate}-2-nq"
      rm -rf $logname
      mkdir $logname
      if [ `hostname` = "tif.inria.fr" ]; then
	$program $commonargs -oprate $rate -epsilon 1000 -threshold $t -n 3 -bench_id $logname/ -id $logname -nbop 0 -exec 10000  2>&1 | tee $logname/trace
      else
	$program $commonargs -oprate $rate -epsilon 1000 -threshold $t -n 3 -bench_id $logname/ -id $logname  -nbop 5000 -exec 10000 2>&1 | tee $logname/trace
      fi
    fi
  done
done


