#!/bin/sh

set -x
program="./bench-stall.skt -noqueue"
commonargs="-multiread -init 100000 -consumer -sequencer onion.lcs.mit.edu"

mkdir $SHORTHOST

# Divergence Benches
oprates="100 120 140"
threshold="20"
for rate in $oprates; do
  for t in $threshold; do 
    if expr $rate \* $t '>=' 100 > /dev/null; then
      id="l-${t}-${rate}-2-nq/"
      logname="$SHORTHOST/$id"
      rm -rf $logname
      mkdir $logname
      if [ $SHORTHOST = zatar ]; then
	$program $commonargs -oprate $rate -epsilon 1000 -threshold $t -n 3 -bench_id $logname -id $id -nbop 0 -exec 10000  2>&1 | tee ${logname}trace
      else
	$program $commonargs -oprate $rate -epsilon 1000 -threshold $t -n 3 -bench_id $logname -id $id  -nbop 5000 -exec 10000 2>&1 | tee ${logname}trace
      fi
    fi
  done
done

