#!/bin/sh
# Run script automatically generated by makerun.sh
set -x
mkdir $SHORTHOST

is_reader (){
  expr zatar : ".*$1.*" >> /dev/null
  return 
}

is_writer (){
  expr csd onion : ".*$1.*" >> /dev/null
  return 
}

# Divergence Benches
for rate in 140; do
  for t in 1 2 3 4 5 10 20; do 
    if expr $rate \* $t '>=' 100 > /dev/null; then
      id="l-${t}-${rate}-2-3-nq/"
      logname="$SHORTHOST/$id"
      rm -rf $logname
      mkdir $logname
      if is_reader $SHORTHOST; then
	./bench-stall.skt -noqueue -multiread -init 100000 -consumer -sequencer onion.lcs.mit.edu -oprate $rate -epsilon 100000 -threshold $t -n 3 -bench_id $logname -id $id -nbop 0 -exec 10000  2>&1 | tee ${logname}trace
      else
	./bench-stall.skt -noqueue -multiread -init 100000 -consumer -sequencer onion.lcs.mit.edu -oprate $rate -epsilon 100000 -threshold $t -n 3 -bench_id $logname -id $id -nbop 5000 -exec 10000  2>&1 | tee ${logname}trace
      fi
    fi
  done
done

# Sequencer Benches
for rate in 100 120 140; do
  id="l-0-${rate}-2-3-nq/"
  logname="$SHORTHOST/$id"
  rm -rf 
  mkdir 
  if is_reader $SHORTHOST; then  
    ./bench-stall.skt -noqueue -multiread -init 100000 -consumer -sequencer onion.lcs.mit.edu -oprate $rate -epsilon 0 -n 3 -bench_id $logname -id $id -nbop 0 -exec 10000  2>&1 | tee ${logname}trace
  else
    ./bench-stall.skt -noqueue -multiread -init 100000 -consumer -sequencer onion.lcs.mit.edu -oprate $rate -epsilon 0 -n 3 -bench_id $logname -id $id -nbop 5000 -exec 10000  2>&1 | tee ${logname}trace
  fi
done
