#!/bin/sh
# Run script automatically generated by makerun.sh
set -x
mkdir $SHORTHOST

is_reader (){
  expr zatar : ".*$1.*" >> /dev/null
  return 
}

is_writer (){
  expr tif : ".*$1.*" >> /dev/null
  return 
}

# Divergence Benches
for rate in 10 20 40 80 100 120; do
  for t in 1 2 3 4 5 10 20 80 160; do 
    id="l-${t}-${rate}-1-2-nq/"
    logname="$SHORTHOST/$id"
    rm -rf $logname
    mkdir $logname

    # This number of operation should represent an execution 
    # of about 16 minutes. (16 minutes at 100ms interop with no blocking)
    nbop=$((10000*100/$rate))
    nbexec=$nbop

    if is_reader $SHORTHOST; then
      ./bench-stall.skt -noqueue -multiread -init 100000 -consumer -sequencer onion.lcs.mit.edu -oprate $rate -epsilon 100000 -threshold $t -n 2 -bench_id $logname -id $id -nbop 0 -exec $nbexec  2>&1 | tee ${logname}trace
    else
      ./bench-stall.skt -noqueue -multiread -init 100000 -consumer -sequencer onion.lcs.mit.edu -oprate $rate -epsilon 100000 -threshold $t -n 2 -bench_id $logname -id $id -nbop $nbop -exec $nbexec  2>&1 | tee ${logname}trace
    fi
  done
done
