#!/bin/sh

set -x

program=./bench.skt
commonargs="-multiread -init 100000 -consumer -nbop 5000 -sequencer tif.inria.fr"
machines="lachesis tif atropos"
oprates="80 120 160 200 220"
threshold="1 2 3 4 5"

# Divergence Benches
for rate in $oprates; do
  for t in $threshold; do 
    # Three writers
    logname="l-${t}-${rate}-3"
    rm -rf $logname
    mkdir $logname
    $program $commonargs -oprate $rate -epsilon 1000 -n 3 -threshold $t -bench_id $logname/ -id $logname
  done
done

set +x


