#!/bin/sh
#
# Everybody is a writer. Sequencer is tif.

set -x

nb () {
  echo $#
}

#inria="spip spirou fantasio olrik blake mortimer tif epaf"
#brandeis="lachesis atropos cyclops keva"
inria="tif epaf"
brandeis="lachesis atropos"
mit="zatar onion"
technion="csd"

nbmembers=`nb $inria $mit $technion`

commonargs="-noqueue -n $nbmembers -nbop 5000 -multiread -init 100000 -consumer -sequencer tif.inria.fr"
program="./bench-stall.skt $commonargs"

mkdir $SHORTHOST

# Divergence Benches
oprates="5 10 20 40 60 80 100 120 140"
threshold="1 2 3 4 5 10 20"
for rate in $oprates; do
  for t in $threshold; do 
    if expr $rate \* $t '>=' 100 > /dev/null; then
      id="l-${t}-${rate}-2-nq/"
      logname="$SHORTHOST/$id"
      rm -rf $logname
      mkdir $logname
      $program  -epsilon 1000000 -threshold $t -oprate $rate -bench_id $logname -id $id 2>&1 | tee ${logname}trace
    fi
  done
done

# # Sequencer Benches
oprates="100 120 140"
for rate in $oprates; do
  id="l-0-${rate}-2-nq/"
  logname="$SHORTHOST/$id"
  rm -rf $logname
  mkdir $logname
  $program  -epsilon 0 -oprate $rate -bench_id $logname -id $id 2>&1 | tee ${logname}trace
done
