#!/bin/sh

set -x

program=./bench.skt
commonargs="-multiread -init 100000 -consumer"


# Maximal operations rate with three members (atropos,lachesis,tif)
# and two writers (lachesis,tif) case. The two writers are remote. The
# sequencer is on tif. The meaninful logs are on lachesis.

# Divergence Benches
oprates="20 40 60 80 100 120 160"
threshold="1 2 3 4 5 6 7"
for rate in $oprates; do
  for t in $threshold; do 
    logname="ll-${t}-${rate}-2"
    rm -rf $logname
    mkdir $logname
    if [ `hostname` = "atropos" ]; then
      $program $commonargs -oprate $rate -epsilon 1000 -threshold $t -n 3 -bench_id $logname/ -id $logname -nbop 0 -exec 10000 
    else
      $program $commonargs -oprate $rate -epsilon 1000 -threshold $t -n 3 -bench_id $logname/ -id $logname  -nbop 5000 -exec 10000
    fi
  done
done

