#!/bin/sh

set -x
program=./bench.skt
commonargs="-multiread -init 100000 -consumer -sequencer lachesis.inria.fr"

# Maximal operations rate with three members (atropos,lachesis,tif)
# and one writers (lachesis,tif) case. The writer is tif, far away
# from the sequencer lachesis.

# Sequencer Benches
oprates="100 110 120 130 140"
for rate in $oprates; do
  logname="l-0-${rate}-2"
  rm -rf $logname
  mkdir $logname
  if [ `hostname` = "tif.inria.fr" ]; then  
    $program $commonargs -oprate $rate -epsilon 0 -n 3 -bench_id $logname/ -id $logname -nbop 5000 -exec 5000
  else
    $program $commonargs -oprate $rate -epsilon 0 -n 3 -bench_id $logname/ -id $logname  -nbop 0 -exec 5000
  fi
done

# Divergence Benches
oprates="5 10 20 40 60 80 100 120 140 160"
threshold="1 2 3 4 5 6 7"
for rate in $oprates; do
  for t in $threshold; do 
    logname="l-${t}-${rate}-2"
    rm -rf $logname
    mkdir $logname
    if [ `hostname` = "tif.inria.fr" ]; then
      $program $commonargs -oprate $rate -epsilon 1000 -threshold $t -n 3 -bench_id $logname/ -id $logname -nbop 5000 -exec 5000
    else
      $program $commonargs -oprate $rate -epsilon 1000 -threshold $t -n 3 -bench_id $logname/ -id $logname  -nbop 0 -exec 5000
    fi
  done
done
