#!/bin/sh

set -x
program=./bench.skt
commonargs="-multiread -init 100000 -consumer -sequencer lachesis.inria.fr"

# Maximal operations rate with three members (atropos,lachesis,tif)
# and one writers (lachesis,tif) case. The writer is tif, far away
# from the sequencer lachesis.

# Divergence Benches
oprates="5 10 20 40 60 80"
threshold="8 10 20 30 40 50"
for rate in $oprates; do
  for t in $threshold; do 
    logname="l-${t}-${rate}-1"
    rm -rf $logname
    mkdir $logname
    if [ `hostname` = "tif.inria.fr" ]; then
      $program $commonargs -oprate $rate -epsilon 1000 -threshold $t -n 3 -bench_id $logname/ -id $logname -nbop 5000 -exec 5000
    else
      $program $commonargs -oprate $rate -epsilon 1000 -threshold $t -n 3 -bench_id $logname/ -id $logname  -nbop 0 -exec 5000
    fi
  done
done
